Update Customer Custom Field
curl --request PATCH \
--url https://api.jtl-cloud.com/erp/customers/{customerId}/customfields/{customfieldId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '{
"Value": {}
}'import requests
url = "https://api.jtl-cloud.com/erp/customers/{customerId}/customfields/{customfieldId}"
payload = { "Value": {} }
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({Value: {}})
};
fetch('https://api.jtl-cloud.com/erp/customers/{customerId}/customfields/{customfieldId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}Customer
Update Customer Custom Field
deprecated
Update the value of a specific custom field for a given customer
PATCH
/
customers
/
{customerId}
/
customfields
/
{customfieldId}
Update Customer Custom Field
Authorizations
oauth2-authorization-codeoauth2-client-credentials
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The Company-Id (int or uuid) of the company on whose behalf the request is executed.
The tenant ID for the target ERP instance.
Path Parameters
The id of the customer that the custom field belongs to. Represents a unique key for identifying a customer in the JTL system.
The id of the customfield that should be updated.
Body
application/json
The custom field value.
Model Class: UpdateCustomFieldValue
The custom field value. The object should match the custom field type.
Response
Was this page helpful?
⌘I